subroutine trmpi_get_numprocs(impi)

  use trmpi
  implicit NONE

  ! return the number of MPI processors known to trmpi

  integer, intent(out) :: impi

  !-----------

  call trmpi_check('trmpi_get_numprocs')

  impi = trmpi_numprocs

end subroutine trmpi_get_numprocs
